### Enumeration

# Qmi ImsCallModePreference

since: 1.37

#### Declaration

    enum Qmi.ImsCallModePreference

#### Description [src]

IMS Call Mode Preference.

Available since: 1.37

#### Members

`QMI_IMS_CALL_MODE_PREFERENCE_NONE`

  None.

  - Value: `0`
  - Available since: 1.37
`QMI_IMS_CALL_MODE_PREFERENCE_CELLULAR`

  No description available.

  - Value: `1`
  - Available since: 1.37
`QMI_IMS_CALL_MODE_PREFERENCE_WIFI`

  Prefer Wifi.

  - Value: `2`
  - Available since: 1.37
`QMI_IMS_CALL_MODE_PREFERENCE_WIFI_ONLY`

  Only Wifi.

  - Value: `3`
  - Available since: 1.37
`QMI_IMS_CALL_MODE_PREFERENCE_CELLULAR_ONLY`

  Only Celluar.

  - Value: `4`
  - Available since: 1.37
`QMI_IMS_CALL_MODE_PREFERENCE_IMS`

  IMS.

  - Value: `5`
  - Available since: 1.37

#### Type functions

###### qmi_ims_call_mode_preference_get_string

Gets the nickname string for the `QmiImsCallModePreference` specified at `val`.

since: 1.37